
TYPO3.Fluid - Bug # 49143

Status: Resolved Priority: Must have
Author: Stefan Neufeind Category: ViewHelpers
Created: 2013-06-15 Assigned To: Stefan Neufeind
Updated: 2013-06-21 Due date:
Has patch: No
Affected Flow version: Git master
Subject: Petabytes missing in VH f:format.bytes()
Description

Peta (PB) is missing newly merged feature.

1000     k     kilo
1000^2     M     mega
1000^3     G     giga
1000^4     T     tera
1000^5     P     peta
1000^6     E     exa
1000^7     Z     zetta
1000^8     Y     yotta

(thanks go to Philipp Gampe for discovering this)

Related issues:
related to TYPO3.Fluid - Feature # 49128: ViewHelper to display file sizes Resolved 2013-06-14

Associated revisions
Revision 27e6ebe6 - 2013-06-19 17:36 - Stefan Neufeind

[BUGFIX] format.bytes ViewHelper: add peta-byte and support large numbers

In the row of prefixes for multiples "peta" is missing between
"tera" and "exa".

pow() will use float if the numbers require it (too large). So we
also need to allow float-values to support larger numbers.

Change-Id: I5ef0935baaad324104329e486d26860391bd64e2
Fixes: #49143
Releases: master

History
#1 - 2013-06-15 01:49 - Stefan Neufeind
- Assigned To set to Stefan Neufeind

working on it

#2 - 2013-06-15 02:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21446

#3 - 2013-06-17 09:21 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21446

#4 - 2013-06-19 17:37 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21446

#5 - 2013-06-21 15:36 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:27e6ebe6c40fac69acedf7692b470a7438a91cca.
